#754 XQuery 1.0.0

closed
None
5
2011-08-30
2011-08-27
No

{{{ XQuery 1.0.0
Source: https://jedit.svn.sourceforge.net/svnroot/jedit/plugins/XQuery/tags/XQuery-1.0.0
Announcement: -Fixed option pane api
-Use of ServiceManager
Requires Java 1.6
Requires jEdit 04.04.99.00
Required plugins:
ErrorList 1.9 (errorlist.ErrorListPlugin)
Info Viewer 1.6 (infoviewer.InfoViewerPlugin)

Short Description: The XQuery plugin provides features for querying XML documents, setting options for output, performance monitoring and other XQuery processor specific variables.

Long Description: <p>The XQuery plugin provides features for querying XML documents, setting options for output, performance monitoring and other XQuery processor specific variables.</p>

<p>The XQuery engine bundled with this plugin is the Saxon
XQuery processor. But we designed the plugin to support
other engines as well making use of a dynamic adapter
system.</p>
}}}

Discussion

  • Alan Ezust

    Alan Ezust - 2011-08-27

    you should update the saxon plugin which is a separate plugin already, instead of bundling saxon with this.

     
  • Alan Ezust

    Alan Ezust - 2011-08-27

    s/update/use - it seems your version includes saxon7 instead of saxon9.

     
  • Matthieu Casanova

    In fact I don't want to work a lot on that plugin, I only fixed it because of api changes of jEdit 4.5

     
  • Townsfolk

    Townsfolk - 2011-08-30

    Released to Plugin Central.

     
  • Townsfolk

    Townsfolk - 2011-08-30

    Tested on 4.4.1

     
  • Townsfolk

    Townsfolk - 2011-08-30
    • assigned_to: nobody --> elberry
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks